#!/usr/bin/python
# coding:utf-8
#Filename:SystemButton.py

import wx
import os

class MainFrame(wx.Frame):
	def __init__(self):
		wx.Frame.__init__(self,None, -1, 'System Button', size=(330,130))#, style=wx.FRAME_NO_TASKBAR|wx.STAY_ON_TOP|wx.SIMPLE_BORDER)
		self.Center()
		panel = wx.Panel(self)
		
		monitorBtn = wx.Button(panel, label="关闭显示器", pos=(20, 20), size=(100, 25))  
		self.Bind(wx.EVT_BUTTON, self.OnCloseMon, monitorBtn)
		
		standbyBtn = wx.Button(panel, label="待机", pos=(130, 20), size=(100, 25))  
		self.Bind(wx.EVT_BUTTON, self.OnStandby, standbyBtn)
		
		logoutBtn = wx.Button(panel, label="注销", pos=(20, 60), size=(90, 50))  
		self.Bind(wx.EVT_BUTTON, self.OnLogoff, logoutBtn)
		
		rebootBtn = wx.Button(panel, label="重启", pos=(120, 60), size=(90, 50))  
		self.Bind(wx.EVT_BUTTON, self.OnReboot, rebootBtn)
		
		shutdownBtn = wx.Button(panel, label="关机", pos=(220, 60), size=(90, 50))  
		self.Bind(wx.EVT_BUTTON, self.OnShutdown, shutdownBtn)
		
		self.Show()
	def OnCloseMe(self, event):
		self.Destroy()
	def OnCloseMon(self, event):
		os.system('xset dpms force off')
		self.Destroy()
	def OnLogoff(self, event):
		self.Destroy()
		os.system('kill -9 `ps -ef | grep "/usr/bin/openbox --startup" | grep -v grep | awk \'{print $2}\'`')
	def OnStandby(self, event):
		self.Destroy()
		os.system('echo mem > /sys/power/state')
	def OnReboot(self, event):
		self.Destroy()
		os.system('reboot')
	def OnShutdown(self, event):
		self.Destroy()
		os.system('shutdown -h now')

app = wx.PySimpleApp()
frame = MainFrame()
app.MainLoop()
